> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cortex.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List workflow runs

> List workflow runs based on filters.

API key must have the `View workflow runs` permission.



## OpenAPI

````yaml /openapi/cortex_swagger.json get /api/v1/workflows/runs
openapi: 3.0.1
info:
  description: >-
    The Cortex REST API provides programmatic access to the data in the catalog,
    Scorecards, and more.
  title: Cortex API
  version: v1
servers:
  - url: https://api.getcortexapp.com
    description: Cortex Cloud API host
security:
  - bearerAuth: []
tags:
  - name: API Keys
  - name: Audit Logs
  - name: Catalog Entities
  - name: Catalogs
  - name: Custom Data
  - name: Custom Data [Advanced]
  - name: Custom Events
  - name: Custom Metrics
  - name: Dependencies
  - name: Deploys
  - name: Discovery Audit
  - name: Docs
  - name: 'Eng Intel: 1-Registry'
  - name: 'Eng Intel: 2-Metrics'
  - name: 'Eng Intel: 3-Trace'
  - name: 'Eng Intel: User Labels'
  - name: Entity Relationship Types
  - name: Entity Relationships
  - name: Entity Types
  - name: GitOps Logs
  - name: Groups
  - name: IP Allowlist
  - name: Initiatives
  - name: My Workspace
  - name: Notification Logs
  - name: On-call
  - name: Packages
  - name: Plugins
  - name: Queries
  - name: SCIM
  - name: Scaffolder
  - name: Scorecards
  - name: Secrets
  - name: Team Roles
  - name: Teams
  - name: Teams Hierarchies
  - name: Teams [Advanced]
  - name: Teams [Departments] (legacy)
  - name: Users
  - name: Verifications
  - name: Workflows
  - name: '[Integrations] AWS'
  - name: '[Integrations] Anthropic'
  - name: '[Integrations] Apiiro'
  - name: '[Integrations] ArgoCD'
  - name: '[Integrations] Azure Active Directory'
  - name: '[Integrations] Azure Devops'
  - name: '[Integrations] Azure Resources'
  - name: '[Integrations] BambooHR'
  - name: '[Integrations] Bitbucket'
  - name: '[Integrations] Bugsnag'
  - name: '[Integrations] Buildkite'
  - name: '[Integrations] Checkmarx SAST'
  - name: '[Integrations] CircleCI'
  - name: '[Integrations] ClickUp'
  - name: '[Integrations] Codecov'
  - name: '[Integrations] Coralogix'
  - name: '[Integrations] Datadog'
  - name: '[Integrations] Dynatrace'
  - name: '[Integrations] Firehydrant'
  - name: '[Integrations] GitHub'
  - name: '[Integrations] GitLab'
  - name: '[Integrations] Harness'
  - name: '[Integrations] Incident.io'
  - name: '[Integrations] Instana'
  - name: '[Integrations] Jenkins'
  - name: '[Integrations] Jira'
  - name: '[Integrations] Kubernetes'
  - name: '[Integrations] LaunchDarkly'
  - name: '[Integrations] Lightstep'
  - name: '[Integrations] Mend SAST'
  - name: '[Integrations] Mend SCA'
  - name: '[Integrations] New Relic'
  - name: '[Integrations] Okta'
  - name: '[Integrations] Opsgenie'
  - name: '[Integrations] PagerDuty'
  - name: '[Integrations] Prometheus'
  - name: '[Integrations] Rollbar'
  - name: '[Integrations] Rootly'
  - name: '[Integrations] Semgrep'
  - name: '[Integrations] Sentry'
  - name: '[Integrations] ServiceNow'
  - name: '[Integrations] SignalFx'
  - name: '[Integrations] Snyk'
  - name: '[Integrations] SonarQube'
  - name: '[Integrations] SumoLogic'
  - name: '[Integrations] Veracode'
  - name: '[Integrations] VictorOps'
  - name: '[Integrations] Wiz'
  - name: '[Integrations] Workday'
  - name: '[Integrations] xMatters'
  - name: dev-login-controller
  - name: public-scim-schema-controller
paths:
  /api/v1/workflows/runs:
    get:
      tags:
        - Workflows
      summary: List workflow runs
      description: |-
        List workflow runs based on filters.

        API key must have the `View workflow runs` permission.
      operationId: listWorkflowRuns
      parameters:
        - in: query
          name: workflowRunQuery
          required: true
          schema:
            $ref: '#/components/schemas/WorkflowRunQuery'
        - in: query
          name: pageable
          required: true
          schema:
            $ref: '#/components/schemas/Pageable'
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaginatedResultWorkflowRunSummaryResponse'
          description: Successfully found workflow runs
        '429':
          $ref: '#/components/responses/TooManyRequests'
components:
  schemas:
    WorkflowRunQuery:
      type: object
      properties:
        entityId:
          type: string
          description: Filter by target entity
        initiatedBy:
          type: array
          description: Filter by user who initiated the run
          items:
            type: string
            description: Filter by user who initiated the run
        searchQuery:
          type: string
          description: Search query for run name or description
        startedAfter:
          type: string
          description: Filter runs started after this date
          format: date-time
        startedBefore:
          type: string
          description: Filter runs started before this date
          format: date-time
        workflowIds:
          type: array
          description: Filter by workflow
          items:
            type: string
            description: Entity identifier - can be a tag or CID
    Pageable:
      type: object
      properties:
        page:
          type: integer
          format: int32
        size:
          type: integer
          format: int32
        sort:
          type: array
          items:
            type: string
    PaginatedResultWorkflowRunSummaryResponse:
      required:
        - hasMore
        - items
        - page
        - total
        - totalCapped
        - totalPages
      type: object
      properties:
        hasMore:
          type: boolean
        items:
          type: array
          items:
            $ref: '#/components/schemas/WorkflowRunSummaryResponse'
        page:
          type: integer
          format: int32
        total:
          type: integer
          format: int64
        totalCapped:
          type: boolean
        totalPages:
          type: integer
          format: int32
    WorkflowRunSummaryResponse:
      required:
        - context
        - id
        - status
        - variables
        - workflow
      type: object
      properties:
        completedAt:
          type: string
          description: Time the workflow run completed
        context:
          type: object
          additionalProperties:
            type: object
            description: Context of the run
          description: Context of the run
        id:
          type: string
          description: Id of the run
        initiatedBy:
          oneOf:
            - $ref: '#/components/schemas/ApiKey'
            - $ref: '#/components/schemas/User'
        runResponse:
          type: string
        startedAt:
          type: string
          description: Time the workflow run started
        status:
          type: string
          description: Status of the workflow run
        variables:
          type: object
          additionalProperties:
            $ref: '#/components/schemas/WorkflowRunDetailsVariableResponse'
          description: Variable values
        workflow:
          $ref: '#/components/schemas/WorkflowSummary'
    TooManyRequestsProblemDetail:
      required:
        - type
        - title
        - status
      type: object
      properties:
        detail:
          type: string
        instance:
          type: string
          format: uri-reference
        retryAfter:
          minimum: 0
          type: integer
          description: The number of seconds until the rate limiting resets.
          format: int32
        status:
          maximum: 599
          minimum: 100
          type: integer
          format: int32
          enum:
            - 429
        title:
          type: string
        type:
          type: string
          format: uri-reference
    ApiKey:
      type: object
      allOf:
        - $ref: '#/components/schemas/WorkflowRunInitiatorResponse'
        - type: object
          properties:
            apiKey:
              oneOf:
                - $ref: '#/components/schemas/Global'
                - $ref: '#/components/schemas/Personal'
    User:
      required:
        - name
      type: object
      properties:
        email:
          type: string
          description: Contact email
          example: cristina@cortex.io
        name:
          type: string
          description: Name
          example: Cristina Buenahora
    WorkflowRunDetailsVariableResponse:
      required:
        - type
        - value
      type: object
      properties:
        type:
          type: string
          description: The type of the variable
        value:
          $ref: '#/components/schemas/JsonNode'
      description: Variable values
    WorkflowSummary:
      required:
        - cid
        - name
      type: object
      properties:
        cid:
          type: string
          description: The id of the workflow
        name:
          type: string
          description: The slug of the workflow
      description: Summary of the workflow
    WorkflowRunInitiatorResponse:
      required:
        - type
      type: object
      properties:
        type:
          type: string
      description: Who initiated the workflow run
      discriminator:
        propertyName: type
    Global:
      type: object
      allOf:
        - $ref: '#/components/schemas/ApiKeySummary'
    Personal:
      type: object
      allOf:
        - $ref: '#/components/schemas/ApiKeySummary'
        - type: object
          properties:
            user:
              $ref: '#/components/schemas/CortexUserSummary'
    JsonNode:
      type: object
    ApiKeySummary:
      required:
        - id
        - last4
        - type
      type: object
      properties:
        id:
          type: string
        last4:
          type: string
        name:
          type: string
        type:
          type: string
      discriminator:
        propertyName: type
    CortexUserSummary:
      required:
        - email
        - name
      type: object
      properties:
        email:
          type: string
        name:
          type: string
      description: >-
        The user who verified the entity. Null while the status is PENDING, and
        null when a global API key verified it.
  responses:
    TooManyRequests:
      content:
        application/problem+json:
          schema:
            $ref: '#/components/schemas/TooManyRequestsProblemDetail'
      description: >-
        The client has exceeded the rate limit by performing too many requests
        in a short period. Retry the request after a delay.
      headers:
        Retry-After:
          description: The number of seconds until the rate limiting resets.
          schema:
            minimum: 0
            type: integer
            format: int32
  securitySchemes:
    bearerAuth:
      bearerFormat: JWT
      description: >-
        All requests to the Cortex API need to provide an `Authorization: Bearer
        <token>` header, where `<token>` is an API key created in the Settings
        page of your workspace.
      scheme: bearer
      type: http

````

## Related topics

- [Workflows](/api/rest/workflows.md)
- [Run a workflow](/api/rest/workflows/run-a-workflow.md)
- [List workflows](/api/rest/workflows/list-workflows.md)
